.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;
  white-space: nowrap;
  clip-path: inset(100%);
  clip: rect(0 0 0 0);
  overflow: hidden;
  transition: all 0.4s ease;
}

html {
  scroll-behavior: smooth;
  font-size: 15px;
  font-family: "Inter", sans-serif;
  color: var(--text-l);
}

body {
  background: #000032;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

/* Reset and base styles  */
* {
  padding: 0px;
  margin: 0px;
  border: none;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Links */
a, a:link, a:visited {
  text-decoration: none;
}

a:hover {
  text-decoration: none;
}

/* Common */
aside, nav, footer, header, section, main {
  display: block;
}

img {
  vertical-align: top;
}

img, svg {
  max-width: 100%;
  height: auto;
}

address {
  font-style: normal;
}

/* Form */
input, textarea, button, select {
  font-family: inherit;
  font-size: inherit;
  color: inherit;
  background-color: transparent;
}

input::-ms-clear {
  display: none;
}

input:focus, input:active,
button:focus, button:active {
  outline: none;
}

button::-moz-focus-inner {
  padding: 0;
  border: 0;
}

label {
  cursor: pointer;
}

legend {
  display: block;
}

@font-face {
  font-family: "Inter";
  font-display: swap;
  src: local("Inter"), url("../fonts/Inter.woff2") format("woff2"), url("../fonts/Inter.ttf") format("truetype"), url("../fonts/Inter.otf") format("opentype");
}
:root {
  --c-main: #ddb37d;
  --c-acc: #204BDA;
  --bg-main: #18191E;
  --bg-dark: #1e1e1e;
  --bg-light: #f8f5f0;
  --bg-card: #31333A;
  --text-l: #fff;
  --text-d: #262626;
  --btn-l: linear-gradient(90deg, #F14181 0%, #DE36AF 100%);
}

html, body {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  position: relative;
  overflow-x: hidden;
}

.mediterraneangreece-footer {
  margin-top: auto;
}

.text-center {
  text-align: center;
}

.text-light {
  color: var(--c-text-light) !important;
}

.text-bold {
  font-weight: 700;
}

.grid-2col {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
}

.container {
  box-sizing: border-box;
  width: 100%;
  max-width: 1140px;
  margin: 0 auto;
  padding: 0px 0px;
}
@media (max-width: 1200px) {
  .container {
    padding: 10px 30px;
  }
}
@media (max-width: 594px) {
  .container {
    padding: 0 16px;
  }
}

.section__title {
  font-weight: 900;
  font-size: 26px;
  letter-spacing: 0%;
  margin-bottom: 10px;
}

.section__description {
  font-weight: 400;
  font-size: 15px;
  letter-spacing: 0%;
  margin-bottom: 10px;
  hyphens: auto;
}

.text-gr {
  background: linear-gradient(90deg, #FFFFFF 0%, #4073B4 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.button {
  display: inline-block;
  color: var(--text-l);
  font-weight: 700;
  width: max-content;
  transition: all 0.3s ease;
  padding: 12px 40px;
  background: var(--btn-l);
  border-radius: 5px;
  position: relative;
}
.button:hover {
  box-shadow: var(--btn-shadow-hover);
  transform: scale(0.98);
}
.button:disabled {
  opacity: 0.5;
  cursor: not-allowed;
}

a {
  transition: opacity 0.3s ease;
}

a:hover {
  transition: opacity 0.3s ease;
  opacity: 0.7;
}

.mondedesbet-about {
  margin: 60px auto;
}

.about__wrap {
  background-color: #120749;
  border-radius: 16px;
  padding: 20px;
}

.about__title {
  text-transform: uppercase;
  margin-bottom: 20px;
}

.agreements {
  margin-bottom: clamp(20px, 5vw, 50px);
  padding-top: 50px;
  padding-bottom: 50px;
}
.agreements h1, .agreements h2, .agreements h3 {
  margin: 10px 0;
  padding: 0;
}
.agreements h1 {
  font-size: 24px;
}
.agreements h2, .agreements h3 {
  font-size: 15px;
}
.agreements p {
  padding: 4px 0;
}
.agreements ul, .agreements ol {
  padding-left: 1rem;
}

.mondedesbet-cards {
  display: grid;
  margin-bottom: 20px;
  place-items: center;
}
.mondedesbet-cards a {
  color: var(--text-l);
}

.mondedesbet-cards__wrap {
  padding-top: 20px;
  padding-bottom: 50px;
  margin: auto;
}

.mondedesbet-cards__list {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(276px, 1fr));
  grid-template-rows: 1fr;
  gap: 20px;
  list-style: none;
}

.mondedesbet-cards-item {
  border-radius: 5px;
  padding: 10px;
  position: relative;
  transition: all 0.6s ease;
  background: #120749;
  border: 1px solid #4558BB;
  border-radius: 10px;
}
.mondedesbet-cards-item:hover {
  box-shadow: 3px 3px 10px 0px #6F1098;
  transition: all 0.9s ease;
}

.mondedesbet-card-corner {
  padding: 3px 20px;
  background: #00F5D4;
  color: #120749;
  font-size: 10px;
  border-radius: 20px;
  text-align: center;
  text-transform: uppercase;
  font-weight: 700;
  margin: 0 auto;
  width: max-content;
}

.mondedesbet-card__wrapper {
  display: grid;
  grid-template-columns: 1fr;
  margin-bottom: 5px;
  gap: 5px;
  height: 100%;
}

.card-logo {
  padding: 0px 20px;
  display: grid;
  place-content: center;
  height: 73px;
}

.mondedesbet-card-logo {
  min-height: 33px;
  max-height: 73px;
  object-fit: contain;
  display: flex;
  margin: auto;
}

.mondedesbet-card-text {
  display: grid;
  grid-template-columns: 1fr;
  color: var(--text-l);
  margin-bottom: 10px;
  margin-bottom: auto;
}

.mondedesbet-card-top {
  font-size: 15px;
  margin-bottom: 5px;
  font-weight: 700;
  position: relative;
  display: flex;
  align-items: center;
  gap: 5px;
}

.mondedesbet-card-top::before {
  content: url(../img/svg/star.svg);
  width: 17px;
  aspect-ratio: 1/1;
  display: block;
}

.mondedesbet-card-bonus {
  font-weight: 700;
  font-size: 20px;
}

.mondedesbet-card-btn {
  margin-top: auto;
  display: block;
  width: 100%;
  height: 40px;
  text-align: center;
  font-size: 14px;
  font-weight: 700;
  background: transparent;
  border: 1px solid #4666D0;
  border-radius: 100px;
  color: white;
  background: #060521;
  text-transform: uppercase;
  padding: 10px 15px;
  position: relative;
  overflow: hidden;
  z-index: 1;
  transition: all 0.3s ease;
  margin-bottom: 10px;
}

.mondedesbet-card-btn::after {
  content: "";
  position: absolute;
  height: 0%;
  left: 50%;
  top: 50%;
  width: 150%;
  background: #4666D0;
  z-index: -1;
  transform: translate(-50%, -50%) rotate(-25deg);
  transition: all 0.75s ease;
}

.mondedesbet-card-btn:hover {
  opacity: 1;
  color: #FFF;
  text-shadow: none;
}

.mondedesbet-card-btn:hover::after {
  height: 450%;
}

.mondedesbet-card-payments {
  display: flex;
  list-style: none;
  width: 100%;
  max-width: 70%;
  margin: auto;
  gap: 5px;
  justify-content: space-between;
}

.mondedesbet-card-payment {
  border-radius: 2px;
  transition: all 0.3s ease;
}
.mondedesbet-card-payment:hover {
  transform: scale(1.1);
}

.mondedesbet-card-payment-pic {
  object-fit: contain;
}

.mondedesbet-card-adds {
  text-align: center;
  font-size: 12px;
}

@media (max-width: 359px) {
  .mondedesbet-card-corner {
    padding: 3px 5px;
    font-weight: 500;
    text-transform: capitalize;
  }
}
.mondedesbet-contact {
  padding-top: 60px;
  padding-bottom: 60px;
}

.contact__wrap {
  max-width: 752px;
  width: 100%;
  padding: 20px;
  margin: auto;
  background: #120749;
  display: flex;
  flex-direction: column;
  justify-content: center;
  border-radius: 16px;
}

.contact__form {
  margin: auto;
  display: grid;
  grid-template-columns: 1fr;
  width: 100%;
  max-width: 484px;
  gap: 10px;
}

.contact__input {
  background-color: #fff;
  width: 100%;
  padding: 16px 20px;
  font-weight: 700;
  font-size: 13px;
  color: rgba(54, 68, 117, 0.5019607843);
  border-radius: 3px;
}

.contact__button {
  width: 100%;
  text-align: center;
  padding: 14px 20px;
  background: #2D3FA5;
  border-radius: 50px;
  font-weight: 700;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
}
.contact__button:hover {
  background: #2f48d6;
}

.form__sended {
  font-weight: 500;
  margin: 16px auto;
  text-align: center;
}

.checkbox__label {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 23px;
}

.styled__checkbox {
  display: grid;
  place-content: center;
}

.contact-checkbox:checked + .styled__checkbox svg {
  fill: rgb(19, 201, 19);
}

.styled__checkbox svg {
  transition: fill 0.3s ease;
  fill: gray;
}

.checkbox__text {
  font-size: 18px;
  font-weight: 700;
}

.cookie-popup {
  position: fixed;
  bottom: 0;
  right: 0;
  padding: clamp(10px, 3.5vw, 30px);
  background: #31333A;
  color: var(--text-l);
  max-width: 405px;
  width: 100%;
  transform: translateX(150%);
  transition: all 0.5s ease-in-out;
  box-shadow: 11px 0px 15px 5px rgba(0, 0, 0, 0.75);
}
.cookie-popup p {
  font-size: clamp(11px, 2vw, 14px);
}

@media (max-width: 468px) {
  .cookie-popup {
    width: 100%;
  }
}
.cookie-popup.p-active {
  transform: translateX(0%);
  z-index: 100;
  font-size: 14px;
}

.popup__heading {
  font-weight: 700;
  font-size: clamp(16px, 4vw, 24px);
  margin-bottom: 12px;
}

.popup__buttons {
  display: grid;
  grid-template-columns: 1fr;
  gap: 12px;
  padding-top: 20px;
}

.cookie-popup__button {
  transition: all 0.3s ease;
  min-width: 45%;
  width: 100%;
  text-align: center;
  text-transform: capitalize;
  border-radius: 3px;
  color: var(--text-light);
}
.cookie-popup__button:hover {
  border-color: wheat;
  box-shadow: var(--shadow-hover);
}

.cookie-popup__button.button-acc {
  border: 2px solid #DE36AF;
  background: transparent;
  color: var(--text-l);
}

@media (max-width: 469px) {
  .cookie-popup {
    max-width: 100%;
  }
  .cookie-popup__button {
    font-size: 14px;
    padding: 5px 25px;
  }
}
.mondedesbet-disclaimer {
  padding-top: 60px;
  padding-bottom: 60px;
}

.disclaimer__wrap {
  background: #120749;
  border-radius: 16px;
  padding: 20px;
}
.disclaimer__wrap p {
  margin-bottom: 20px;
}
.disclaimer__wrap a {
  color: var(--text-l);
  text-decoration: underline;
}

.mondedesbet-footer {
  margin-top: 60px;
  margin-bottom: 60px;
}

.footer__navList {
  list-style: none;
  display: flex;
  justify-content: space-evenly;
  margin-bottom: 15px;
  align-items: center;
  flex-wrap: wrap;
  gap: 16px;
}
.footer__navList a {
  color: var(--text-l);
}

.footer__disclaimer {
  display: grid;
  grid-template-columns: 1fr;
  gap: 16px;
  margin-bottom: 16px;
  background: #120749;
  border-radius: 16px;
  padding: 20px;
}

.mondedesbet-footer__links {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 20px;
  list-style: none;
  margin-bottom: 20px;
}

.instagram {
  background-image: url(../img/svg/insta.svg);
}

.social {
  display: block;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  width: 20px;
  aspect-ratio: 1/1;
}

.telegram {
  background-image: url(../../img/svg/telegram.svg);
  width: 23px;
}

.age__icon {
  display: block;
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  width: 36px;
  aspect-ratio: 1/1;
  background-image: url(../../img/svg/age.svg);
}

.gambleaware {
  display: block;
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  width: 247px;
  height: 43px;
  background-image: url(../../img/svg/begamble.svg);
}

.gamcare {
  display: block;
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  width: 138px;
  height: 43px;
  background-image: url(../../img/svg/gamcare.svg);
}

.blockquote {
  text-align: center;
}

.footer__info {
  font-size: 12px;
  text-align: center;
  margin-bottom: 20px;
}

.mondedesbet-header {
  margin: 0 auto;
  padding: 5px;
  transition: all 0.3s ease;
  width: 100vw;
  text-align: center;
  font-weight: 400;
  font-size: 12px;
  line-height: 100%;
  letter-spacing: 0%;
  color: var(--text-l);
}
.mondedesbet-header p {
  padding: 10px 16px;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}
.mondedesbet-header a {
  color: var(--text-l);
}
.mondedesbet-header a:hover {
  color: #00F5D4;
}

.header__nav {
  width: 100%;
  margin-top: 10px;
  margin-bottom: 10px;
  display: flex;
  align-items: center;
  gap: 50px;
}

.header__navList {
  display: flex;
  width: 100%;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  list-style: none;
}

.header__logo {
  color: var(--text-l);
  font-weight: 900;
  font-size: 24px;
}

.burger {
  display: none;
  border: none;
}

@keyframes marquee {
  0% {
    transform: translateX(0%);
  }
  100% {
    transform: translateX(-100%);
  }
}
@media (max-width: 768px) {
  .mondedesbet-header {
    overflow: hidden;
  }
  .mondedesbet-header p {
    white-space: nowrap;
    display: inline-block;
    padding-left: 100%;
    animation: marquee 20s linear infinite;
    margin: 0;
  }
  .header__nav {
    display: flex;
    width: 100%;
  }
  .header__logo {
    margin-right: auto;
    display: inline-block;
    text-align: left;
  }
  .header__navList {
    position: absolute;
    top: 0;
    left: 0;
    transform: translateX(-200%);
    display: grid;
    grid-template-columns: 1fr;
    row-gap: 30px;
    background-color: var(--text-d);
    color: var(--text-l);
    padding: 80px 30px;
    border-radius: 0 0 5px 0;
    box-shadow: 2px 2px 12px #000;
    transition: all 0.7s ease-in-out;
    width: 100vw;
    z-index: 2;
  }
  .navListActive {
    transform: translateX(0%);
    color: var(--text-l);
    transition: all 0.9s ease;
  }
  .burger-menu {
    display: block;
    position: absolute;
    right: 22px;
    top: 45px;
    width: 40px;
    height: 30px;
    z-index: 5;
  }
  .burger {
    width: 30px;
    height: 16px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    cursor: pointer;
    position: relative;
  }
  .burger span {
    width: 100%;
    height: 2px;
    background: var(--text-l);
    border-radius: 3px;
    transition: 0.3s;
  }
  .burger.active span:nth-child(1) {
    transform: translateY(4px) rotate(45deg);
  }
  .burger.active span:nth-child(2) {
    opacity: 0;
  }
  .burger.active span:nth-child(3) {
    transform: translateY(-10px) rotate(-45deg);
  }
}
.mondedesbet-top {
  margin-bottom: 10px;
  padding-top: 40px;
  padding-bottom: 10px;
}

.mondedesbet-top__container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 20px;
}

.mondedesbet-top__info {
  max-width: 560px;
}

.mondedesbet-top__picture {
  background-image: url(../../img/background/top.webp);
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
  width: 100%;
  max-width: 370px;
  height: 100%;
  aspect-ratio: 370/319;
  position: relative;
}

.mondedesbet-top__picture::before {
  position: absolute;
  content: "";
  top: 0;
  left: 0;
  width: 90%;
  height: 90%;
  border-radius: 50%;
  background: radial-gradient(rgba(67, 154, 235, 0.3019607843) 0%, transparent 70%);
}

.mondedesbet-top__title {
  font-weight: 900;
  font-size: clamp(20px, 5vw, 36px);
  line-height: 100%;
  letter-spacing: 0%;
  text-transform: uppercase;
  background: linear-gradient(90deg, #FFFFFF 0%, #4073B4 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.mondedesbet-top__list {
  list-style: none;
  display: flex;
  align-items: center;
  gap: 10px;
  flex-wrap: wrap;
}

.mondedesbet-top__item {
  flex-grow: 0;
  background: #2D3FA5;
  border-radius: 3px;
  padding: 5px clamp(7px, 1.5vw, 15px);
  width: max-content;
  justify-content: center;
  align-items: center;
  font-weight: 500;
  font-size: clamp(11px, 1.5vw, 15px);
  transition: all 0.5s ease;
}
.mondedesbet-top__item:hover {
  transform: scale(1.1);
}

.top-description {
  font-weight: 500;
  font-size: clamp(11px, 1.5vw, 15px);
}

@media (max-width: 768px) {
  .mondedesbet-top__picture {
    display: none;
  }
  .mondedesbet-top {
    padding-top: 20px;
  }
}
@media (max-width: 468px) {
  .mondedesbet-top .section__description {
    display: none;
  }
}
/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
